/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.web.utilerias.render;

import com.rjconsultores.ventaboletos.entidad.Autobus;
import com.rjconsultores.ventaboletos.entidad.DiagramaAutobus;
import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

/**
 *
 * @author Administrador
 */
public class RenderAutobus implements ListitemRenderer {

    public void render(Listitem lstm, Object o) throws Exception {
        Autobus autoBus = (Autobus) o;

        Listcell lc = new Listcell();

        lc = new Listcell(autoBus.getAutobusId().toString());
        lc.setParent(lstm);

        lc = new Listcell(autoBus.getNumautobus());
        lc.setParent(lstm);

        DiagramaAutobus da = autoBus.getDiagramaAutobus();
        if (da != null) {
            lc = new Listcell(da.getDescDiagrama());
        } else {
            lc = new Listcell("");
        }
        lc.setParent(lstm);

        lstm.setAttribute("data", autoBus);
    }
}
